# Interface methods for submodule: VariableLengthVector
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: VariableLengthVector
class VariableLengthVectorProxy():
	@overload
	def Fill(self, v) -> None:
		""""""
		...

	@overload
	def Fill(self, v: float) -> None:
		""""""
		...

	@overload
	def Fill(self, v: int) -> None:
		""""""
		...

	def FastAssign(self, v):
		""""""
		...

	def Size(self) -> int:
		""""""
		...

	def GetSize(self) -> int:
		""""""
		...

	def GetNumberOfElements(self) -> int:
		""""""
		...

	@overload
	def GetElement(self, i: int):
		""""""
		...

	@overload
	def GetElement(self, i: int) -> float:
		""""""
		...

	@overload
	def GetElement(self, i: int) -> int:
		""""""
		...

	@overload
	def SetElement(self, i: int, value) -> None:
		""""""
		...

	@overload
	def SetElement(self, i: int, value: float) -> None:
		""""""
		...

	@overload
	def SetElement(self, i: int, value: int) -> None:
		""""""
		...

	def SetSize(self, sz: int, destroyExistingData: bool = True) -> None:
		""""""
		...

	def DestroyExistingData(self) -> None:
		""""""
		...

	@overload
	def SetData(self, datain, LetArrayManageMemory: bool = False) -> None:
		""""""
		...

	@overload
	def SetData(self, datain, sz: int, LetArrayManageMemory: bool = False) -> None:
		""""""
		...

	def Reserve(self, size: int) -> None:
		""""""
		...

	def AllocateElements(self, size: int):
		""""""
		...

	def GetDataPointer(self):
		""""""
		...

	@overload
	def GetNorm(self):
		""""""
		...

	@overload
	def GetNorm(self) -> float:
		""""""
		...

	@overload
	def GetSquaredNorm(self):
		""""""
		...

	@overload
	def GetSquaredNorm(self) -> float:
		""""""
		...

	def IsAProxy(self) -> bool:
		""""""
		...

